/// <reference types="node" />
import * as typeorm from 'typeorm';
import * as fs from 'fs';
import * as pacote from 'pacote';
import * as simpleGit from 'simple-git/promise';
import * as childProcess from 'child_process';
import { interfaces } from 'inversify';
export declare type ChildProcess = typeof childProcess;
export declare type Pacote = typeof pacote;
export declare type FS = typeof fs;
export declare type TypeOrm = typeof typeorm;
export declare type SimpleGitFn = typeof simpleGit;
export declare const TYPES: {
    TypeOrm: symbol;
    FS: symbol;
    Pacote: symbol;
    ChildProcess: symbol;
    SimpleGit: symbol;
};
export declare const nodeModulesBinder: (bind: interfaces.Bind) => void;
