import { Moment } from 'moment';
import { IEntity } from '../interfaces/entity';
export interface IDependencyVersionOptions {
    name: string;
    version: string;
    repoUrl: string;
    releaseDate: Moment;
    commitSha: string;
}
export declare class DependencyVersion extends IEntity {
    name: string;
    version: string;
    repoUrl: string;
    releaseDate: Moment;
    commitSha: string;
    constructor(options?: IDependencyVersionOptions);
}
