"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// eslint-disable-next-line @typescript-eslint/quotes
const moment = require("moment");
exports.buildDateTransformer = (dateFormat) => {
    return {
        to: (value) => {
            return value.format(dateFormat);
        },
        from: (value) => {
            return moment.utc(value, dateFormat);
        },
    };
};
