import { ICacheResolver, ICacheResolverOptions } from '../interfaces/cacheResolver';
import { IDependencyRepositoryProvider } from '../../../db';
import { IResolverResult } from '../../types';
export declare class CacheResolver extends ICacheResolver {
    private dependencyRepositoryProvider;
    constructor(dependencyRepositoryProvider: IDependencyRepositoryProvider);
    resolve({ repo, targetNode }: ICacheResolverOptions): Promise<IResolverResult>;
}
