"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.asyncFilter = async (array, callback) => {
    const promises = array.map(async (value, index) => {
        return await callback(value, index);
    });
    const results = await Promise.all(promises);
    return array.filter((_, i) => results[i]);
};
