import { ICheckoutOptions, IGitCheckout } from '../interfaces/gitCheckout';
import { Git } from './git';
import { FS } from '../../../container/nodeModulesContainer';
import { ILoggerFactory } from '../../logger';
export declare class GitCheckout extends IGitCheckout {
    private git;
    private fs;
    private logger;
    constructor(git: Git, fs: FS, loggerFactory: ILoggerFactory);
    checkoutRepo({ url, baseDir, tag, commitSha }: ICheckoutOptions): Promise<string>;
}
