"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
const git_1 = require("./impl/git");
const gitCheckout_1 = require("./impl/gitCheckout");
const gitCheckout_2 = require("./interfaces/gitCheckout");
exports.gitModuleBinder = (bind) => {
    bind(git_1.Git)
        .to(git_1.Git)
        .inSingletonScope();
    bind(gitCheckout_2.IGitCheckout)
        .to(gitCheckout_1.GitCheckout)
        .inSingletonScope();
};
__export(require("./interfaces/gitCheckout"));
