import { Consola, ConsolaOptions } from 'consola';
import { ILogger, LogLevel } from '../interfaces/logger';
export declare class Logger extends Consola implements ILogger {
    constructor(options: ConsolaOptions);
    isLevelEnabled(level: LogLevel): boolean;
    isTraceEnabled(): boolean;
    isDebugEnabled(): boolean;
    isInfoEnabled(): boolean;
    isWarnEnabled(): boolean;
}
