"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
const loggerFactory_1 = require("./impl/loggerFactory");
const loggerFactory_2 = require("./interfaces/loggerFactory");
exports.loggerModuleBinder = (bind) => {
    bind(loggerFactory_2.ILoggerFactory)
        .to(loggerFactory_1.LoggerFactory)
        .inSingletonScope();
};
__export(require("./interfaces/loggerFactory"));
__export(require("./interfaces/loggerSettings"));
