"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const typeorm = require("typeorm");
const fs = require("fs");
const pacote = require("pacote");
const simpleGit = require("simple-git/promise");
const childProcess = require("child_process");
exports.TYPES = {
    TypeOrm: Symbol.for(`TypeOrm`),
    FS: Symbol.for(`FS`),
    Pacote: Symbol.for(`Pacote`),
    ChildProcess: Symbol.for(`ChildProcess`),
    SimpleGit: Symbol.for(`SimpleGit`),
};
exports.nodeModulesBinder = (bind) => {
    bind(exports.TYPES.TypeOrm).toConstantValue(typeorm);
    bind(exports.TYPES.FS).toConstantValue(fs);
    bind(exports.TYPES.Pacote).toConstantValue(pacote);
    bind(exports.TYPES.ChildProcess).toConstantValue(childProcess);
    bind(exports.TYPES.SimpleGit).toConstantValue(simpleGit);
};
