"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const typeorm_1 = require("typeorm");
const entity_1 = require("../interfaces/entity");
let Dependency = class Dependency extends entity_1.IEntity {
    constructor(options) {
        super();
        if (options) {
            this.name = options.name;
            this.version = options.version;
            this.targetNode = options.targetNode;
            this.match = options.match;
            this.reason = options.reason;
        }
    }
};
__decorate([
    typeorm_1.PrimaryColumn(`text`, {
        nullable: false,
    }),
    __metadata("design:type", String)
], Dependency.prototype, "name", void 0);
__decorate([
    typeorm_1.PrimaryColumn(`text`, {
        nullable: false,
    }),
    __metadata("design:type", String)
], Dependency.prototype, "version", void 0);
__decorate([
    typeorm_1.PrimaryColumn(`text`, {
        nullable: false,
    }),
    __metadata("design:type", String)
], Dependency.prototype, "targetNode", void 0);
__decorate([
    typeorm_1.Column(`boolean`, {
        nullable: true,
    }),
    __metadata("design:type", Object)
], Dependency.prototype, "match", void 0);
__decorate([
    typeorm_1.Column(`text`, {
        nullable: true,
    }),
    __metadata("design:type", Object)
], Dependency.prototype, "reason", void 0);
Dependency = __decorate([
    typeorm_1.Entity(),
    __metadata("design:paramtypes", [Object])
], Dependency);
exports.Dependency = Dependency;
