"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const typeorm_1 = require("typeorm");
const dateTransformer_1 = require("../impl/dateTransformer");
const entity_1 = require("../interfaces/entity");
const dateFormat = `YYYY-MM-DD`;
let DependencyVersion = class DependencyVersion extends entity_1.IEntity {
    constructor(options) {
        super();
        if (options) {
            this.name = options.name;
            this.version = options.version;
            this.repoUrl = options.repoUrl;
            this.releaseDate = options.releaseDate;
            this.commitSha = options.commitSha;
        }
    }
};
__decorate([
    typeorm_1.PrimaryColumn(`text`, {
        nullable: false,
    }),
    __metadata("design:type", String)
], DependencyVersion.prototype, "name", void 0);
__decorate([
    typeorm_1.PrimaryColumn(`text`, {
        nullable: false,
    }),
    __metadata("design:type", String)
], DependencyVersion.prototype, "version", void 0);
__decorate([
    typeorm_1.Column(`text`, {
        nullable: false,
    }),
    __metadata("design:type", String)
], DependencyVersion.prototype, "repoUrl", void 0);
__decorate([
    typeorm_1.Column(`text`, {
        nullable: false,
        transformer: dateTransformer_1.buildDateTransformer(dateFormat),
    }),
    __metadata("design:type", Object)
], DependencyVersion.prototype, "releaseDate", void 0);
__decorate([
    typeorm_1.Column(`text`, {
        nullable: true,
    }),
    __metadata("design:type", String)
], DependencyVersion.prototype, "commitSha", void 0);
DependencyVersion = __decorate([
    typeorm_1.Entity(),
    __metadata("design:paramtypes", [Object])
], DependencyVersion);
exports.DependencyVersion = DependencyVersion;
