import { Connection } from 'typeorm/connection/Connection';
import { IConnectionProvider } from '../interfaces/connectionProvider';
import { IConnectionSettings } from '../interfaces/connectionSettings';
import { TypeOrm } from '../../container/nodeModulesContainer';
import { IEntityConstructor } from '../interfaces/entity';
export declare class ConnectionProvider extends IConnectionProvider {
    private settings;
    private typeorm;
    private entities;
    constructor(settings: IConnectionSettings, typeorm: TypeOrm, entities: IEntityConstructor[]);
    getConnection(): Promise<Connection>;
}
