import { Dependency } from '../entities/dependency';
import { Repository } from 'typeorm';
import { IDependencyRepositoryProvider } from '../interfaces/dependencyRepositoryProvider';
import { IConnectionProvider } from '../interfaces/connectionProvider';
export declare class DependencyRepositoryProvider extends IDependencyRepositoryProvider {
    private connectionProvider;
    constructor(connectionProvider: IConnectionProvider);
    getRepository(): Promise<Repository<Dependency>>;
}
