import { Repository } from 'typeorm';
import { DependencyVersion } from '../entities/dependencyVersion';
import { IDependencyVersionRepositoryProvider } from '../interfaces/dependencyVersionRepositoryProvider';
import { IConnectionProvider } from '../interfaces/connectionProvider';
export declare class DependencyVersionRepositoryProvider extends IDependencyVersionRepositoryProvider {
    private connectionProvider;
    constructor(connectionProvider: IConnectionProvider);
    getRepository(): Promise<Repository<DependencyVersion>>;
}
