import { IFlow, IRunFlowOptions, IRunFlowResult } from '../interfaces/flow';
import { IGitCheckout } from '../../utils/git';
import { ICacheResolver } from '../../resolvers/cacheResolver';
import { ICIResolver } from '../../resolvers/ciResolver';
import { ITestResolver } from '../../resolvers/testResolver';
export declare class Flow extends IFlow {
    private gitCheckout;
    private cacheResolver;
    private ciResolver;
    private testResolver;
    constructor(gitCheckout: IGitCheckout, cacheResolver: ICacheResolver, ciResolver: ICIResolver, testResolver: ITestResolver);
    runFlow({ repo, targetNode, pkg, workDir }: IRunFlowOptions): Promise<IRunFlowResult>;
}
