import { Moment } from 'moment';
export interface IRunFlowOptions {
    pkg: {
        version: string;
        name: string;
        releaseDate: Moment;
    };
    repo: {
        url: string;
        commitSha?: string;
    };
    workDir: string;
    targetNode: string;
}
export interface IRunFlowResult {
    isMatch: boolean;
    resolverName?: string;
}
export declare abstract class IFlow {
    abstract runFlow(options: IRunFlowOptions): Promise<IRunFlowResult>;
}
