import { ICIResolveOptions, ICIResolver } from '../interfaces/cIResolver';
import { ISpecificCIResolver } from '../interfaces/specificCIResolver';
import { ITargetMatcher } from '../interfaces/targetMatcher';
import { IResolverResult } from '../../types';
export declare class CiResolver extends ICIResolver {
    private resolvers;
    private targetMatcher;
    constructor(resolvers: ISpecificCIResolver[], targetMatcher: ITargetMatcher);
    resolve({ repoPath, targetNode, packageReleaseDate }: ICIResolveOptions): Promise<IResolverResult>;
}
