export interface IPackageInfoOptions {
    name: string;
    semver: string;
}
export interface IPackageInfoResult {
    name: string;
    semver: string;
    version: string;
    engines?: string;
    repoUrl?: string;
    commitSha?: string;
}
export declare abstract class IPackageInfo {
    abstract getPackageInfo(options: IPackageInfoOptions): Promise<IPackageInfoResult>;
}
