import { IExecuteCommandOptions, IRunner } from '../interfaces/runner';
import { ChildProcess } from '../../../container/nodeModulesContainer';
import { ILoggerFactory } from '../../logger';
export declare class Runner extends IRunner {
    private childProcess;
    private logger;
    constructor(childProcess: ChildProcess, loggerFactory: ILoggerFactory);
    executeCommand({ command, execOptions }: IExecuteCommandOptions): Promise<void>;
    private promisifiedSpawn;
}
