import { IRunner } from '../../runner';
import { IYarn, IYarnOptions } from '../interfaces/yarn';
import { ILoggerFactory } from '../../logger';
export declare class Yarn extends IYarn {
    private runner;
    private logger;
    constructor(runner: IRunner, loggerFactory: ILoggerFactory);
    install({ cwd }: IYarnOptions): Promise<void>;
    build({ cwd }: IYarnOptions): Promise<void>;
    test({ cwd }: IYarnOptions): Promise<void>;
}
